<?php
/**
 * @file
 * ns_styles.features.inc
 */

/**
 * Implements hook_image_default_styles().
 */
function ns_styles_image_default_styles() {
  $styles = array();

  // Exported image style: grid-1
  $styles['grid-1'] = array(
    'name' => 'grid-1',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 10,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-10
  $styles['grid-10'] = array(
    'name' => 'grid-10',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 190,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-11
  $styles['grid-11'] = array(
    'name' => 'grid-11',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 210,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-12
  $styles['grid-12'] = array(
    'name' => 'grid-12',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 230,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-13
  $styles['grid-13'] = array(
    'name' => 'grid-13',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 250,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-14
  $styles['grid-14'] = array(
    'name' => 'grid-14',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 270,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-15
  $styles['grid-15'] = array(
    'name' => 'grid-15',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 290,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-16
  $styles['grid-16'] = array(
    'name' => 'grid-16',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 310,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-17
  $styles['grid-17'] = array(
    'name' => 'grid-17',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 330,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-19
  $styles['grid-19'] = array(
    'name' => 'grid-19',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 370,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-2
  $styles['grid-2'] = array(
    'name' => 'grid-2',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 30,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-20
  $styles['grid-20'] = array(
    'name' => 'grid-20',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 390,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-21
  $styles['grid-21'] = array(
    'name' => 'grid-21',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 410,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-22
  $styles['grid-22'] = array(
    'name' => 'grid-22',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 430,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-23
  $styles['grid-23'] = array(
    'name' => 'grid-23',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 450,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-24
  $styles['grid-24'] = array(
    'name' => 'grid-24',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 470,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-25
  $styles['grid-25'] = array(
    'name' => 'grid-25',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 490,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-26
  $styles['grid-26'] = array(
    'name' => 'grid-26',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 510,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-27
  $styles['grid-27'] = array(
    'name' => 'grid-27',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 530,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-28
  $styles['grid-28'] = array(
    'name' => 'grid-28',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 550,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-29
  $styles['grid-29'] = array(
    'name' => 'grid-29',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 570,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-3
  $styles['grid-3'] = array(
    'name' => 'grid-3',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 50,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-30
  $styles['grid-30'] = array(
    'name' => 'grid-30',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 590,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-31
  $styles['grid-31'] = array(
    'name' => 'grid-31',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 610,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-32
  $styles['grid-32'] = array(
    'name' => 'grid-32',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 630,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-33
  $styles['grid-33'] = array(
    'name' => 'grid-33',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 650,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-34
  $styles['grid-34'] = array(
    'name' => 'grid-34',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 670,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-35
  $styles['grid-35'] = array(
    'name' => 'grid-35',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 690,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-36
  $styles['grid-36'] = array(
    'name' => 'grid-36',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 710,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-37
  $styles['grid-37'] = array(
    'name' => 'grid-37',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 730,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-38
  $styles['grid-38'] = array(
    'name' => 'grid-38',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 750,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-39
  $styles['grid-39'] = array(
    'name' => 'grid-39',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 770,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-4
  $styles['grid-4'] = array(
    'name' => 'grid-4',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 70,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-40
  $styles['grid-40'] = array(
    'name' => 'grid-40',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 790,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-41
  $styles['grid-41'] = array(
    'name' => 'grid-41',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 810,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-42
  $styles['grid-42'] = array(
    'name' => 'grid-42',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 830,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-43
  $styles['grid-43'] = array(
    'name' => 'grid-43',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 850,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-44
  $styles['grid-44'] = array(
    'name' => 'grid-44',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 870,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-45
  $styles['grid-45'] = array(
    'name' => 'grid-45',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 890,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-46
  $styles['grid-46'] = array(
    'name' => 'grid-46',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 910,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-47
  $styles['grid-47'] = array(
    'name' => 'grid-47',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 930,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-48
  $styles['grid-48'] = array(
    'name' => 'grid-48',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 950,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-49
  $styles['grid-49'] = array(
    'name' => 'grid-49',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 970,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-5
  $styles['grid-5'] = array(
    'name' => 'grid-5',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 90,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-50
  $styles['grid-50'] = array(
    'name' => 'grid-50',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 990,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-6
  $styles['grid-6'] = array(
    'name' => 'grid-6',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 110,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-7
  $styles['grid-7'] = array(
    'name' => 'grid-7',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 130,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-8
  $styles['grid-8'] = array(
    'name' => 'grid-8',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 150,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: grid-9
  $styles['grid-9'] = array(
    'name' => 'grid-9',
    'effects' => array(
      1 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 170,
          'height' => '',
          'upscale' => 0,
        ),
        'weight' => '1',
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_styles_default_styles().
 */
function ns_styles_styles_default_styles() {
  $styles = array();

  // Exported style: ns_styles_grid_10

  $styles['file']['styles']['ns_styles_grid_10'] = array(
    'label' => 'ns_styles_grid_10',
    'description' => 'Grid 10 size',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_10' => array(
          'default preset' => 'original',
          'preset' => 'grid-10',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_10' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_10' => array(
          'default preset' => 'original',
        ),
      ),
      'default' => array(
        'ns_styles_grid_10' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_10' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'unlinked_grid-10',
        ),
      ),
    ),
  );
  // Exported style: ns_styles_grid_11

  $styles['file']['styles']['ns_styles_grid_11'] = array(
    'label' => 'ns_styles_grid_11',
    'description' => '',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_11' => array(
          'default preset' => 'original',
          'preset' => 'grid-11',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_11' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_11' => array(
          'default preset' => 'original',
        ),
      ),
      'default' => array(
        'ns_styles_grid_11' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_11' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'unlinked_grid-11',
        ),
      ),
    ),
  );
  // Exported style: ns_styles_grid_13

  $styles['file']['styles']['ns_styles_grid_13'] = array(
    'label' => 'ns_styles_grid_13',
    'description' => '',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_13' => array(
          'default preset' => 'original',
          'preset' => 'grid-13',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_13' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_13' => array(
          'default preset' => 'original',
        ),
      ),
      'default' => array(
        'ns_styles_grid_13' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_13' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'unlinked_grid-13',
        ),
      ),
    ),
  );
  // Exported style: ns_styles_grid_17

  $styles['file']['styles']['ns_styles_grid_17'] = array(
    'label' => 'ns_styles_grid_17',
    'description' => '',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_17' => array(
          'default preset' => 'original',
          'preset' => 'grid-17',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_17' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_17' => array(
          'default preset' => 'original',
        ),
      ),
      'default' => array(
        'ns_styles_grid_17' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_17' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'unlinked_grid-17',
        ),
      ),
    ),
  );
  // Exported style: ns_styles_grid_22

  $styles['file']['styles']['ns_styles_grid_22'] = array(
    'label' => 'ns_styles_grid_22',
    'description' => 'Grid size 22',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_22' => array(
          'default preset' => 'original',
          'preset' => 'grid-22',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_22' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_22' => array(
          'default preset' => 'original',
        ),
      ),
      'default' => array(
        'ns_styles_grid_22' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_22' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'video',
        ),
      ),
    ),
  );
  // Exported style: ns_styles_grid_24

  $styles['file']['styles']['ns_styles_grid_24'] = array(
    'label' => 'ns_styles_grid_24',
    'description' => '',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_24' => array(
          'default preset' => 'original',
          'preset' => 'grid-24',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_24' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_24' => array(
          'default preset' => 'original',
        ),
      ),
      'default' => array(
        'ns_styles_grid_24' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_24' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'video',
        ),
      ),
    ),
  );
  // Exported style: ns_styles_grid_34

  $styles['file']['styles']['ns_styles_grid_34'] = array(
    'label' => 'ns_styles_grid_34',
    'description' => 'Grid 34 size.',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_34' => array(
          'default preset' => 'original',
          'preset' => 'grid-34',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_34' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_34' => array(
          'default preset' => 'original',
          'preset' => 'medium',
        ),
      ),
      'default' => array(
        'ns_styles_grid_34' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_34' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'large_video',
        ),
      ),
    ),
  );
  // Exported style: ns_styles_grid_48

  $styles['file']['styles']['ns_styles_grid_48'] = array(
    'label' => 'ns_styles_grid_48',
    'description' => '',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_48' => array(
          'default preset' => 'original',
          'preset' => 'grid-48',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_48' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_48' => array(
          'default preset' => 'original',
        ),
      ),
      'default' => array(
        'ns_styles_grid_48' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_48' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'large_video',
        ),
      ),
    ),
  );
  // Exported style: ns_styles_grid_5

  $styles['file']['styles']['ns_styles_grid_5'] = array(
    'label' => 'ns_styles_grid_5',
    'description' => '',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_5' => array(
          'default preset' => 'original',
          'preset' => 'grid-5',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_5' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_5' => array(
          'default preset' => 'original',
        ),
      ),
      'default' => array(
        'ns_styles_grid_5' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_5' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'unlinked_grid-5',
        ),
      ),
    ),
  );
  // Exported style: ns_styles_grid_8

  $styles['file']['styles']['ns_styles_grid_8'] = array(
    'label' => 'ns_styles_grid_8',
    'description' => '',
    'preset_info' => array(
      'image' => array(
        'ns_styles_grid_8' => array(
          'default preset' => 'original',
          'preset' => 'grid-8',
        ),
      ),
      'audio' => array(
        'ns_styles_grid_8' => array(
          'default preset' => 'original',
        ),
      ),
      'video' => array(
        'ns_styles_grid_8' => array(
          'default preset' => 'original',
        ),
      ),
      'default' => array(
        'ns_styles_grid_8' => array(
          'default preset' => 'original',
        ),
      ),
      'media_youtube' => array(
        'ns_styles_grid_8' => array(
          'default preset' => 'unlinked_thumbnail',
          'preset' => 'unlinked_grid-8',
        ),
      ),
    ),
  );
  return $styles;
}

/**
 * Implements hook_styles_default_presets_alter().
 */
function ns_styles_styles_default_presets_alter(&$presets) {
  $styles = styles_default_styles();
  if ($styles['file']['styles']['ns_styles_grid_10']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_10'] = array(
      'default preset' => 'original',
      'preset' => 'grid-10',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_10'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_10'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_10'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_10'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'unlinked_grid-10',
    );

  }
  if ($styles['file']['styles']['ns_styles_grid_11']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_11'] = array(
      'default preset' => 'original',
      'preset' => 'grid-11',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_11'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_11'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_11'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_11'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'unlinked_grid-11',
    );

  }
  if ($styles['file']['styles']['ns_styles_grid_13']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_13'] = array(
      'default preset' => 'original',
      'preset' => 'grid-13',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_13'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_13'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_13'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_13'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'unlinked_grid-13',
    );

  }
  if ($styles['file']['styles']['ns_styles_grid_17']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_17'] = array(
      'default preset' => 'original',
      'preset' => 'grid-17',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_17'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_17'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_17'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_17'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'unlinked_grid-17',
    );

  }
  if ($styles['file']['styles']['ns_styles_grid_22']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_22'] = array(
      'default preset' => 'original',
      'preset' => 'grid-22',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_22'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_22'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_22'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_22'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'video',
    );

  }
  if ($styles['file']['styles']['ns_styles_grid_24']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_24'] = array(
      'default preset' => 'original',
      'preset' => 'grid-24',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_24'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_24'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_24'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_24'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'video',
    );

  }
  if ($styles['file']['styles']['ns_styles_grid_34']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_34'] = array(
      'default preset' => 'original',
      'preset' => 'grid-34',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_34'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_34'] = array(
      'default preset' => 'original',
      'preset' => 'medium',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_34'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_34'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'large_video',
    );

  }
  if ($styles['file']['styles']['ns_styles_grid_48']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_48'] = array(
      'default preset' => 'original',
      'preset' => 'grid-48',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_48'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_48'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_48'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_48'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'large_video',
    );

  }
  if ($styles['file']['styles']['ns_styles_grid_5']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_5'] = array(
      'default preset' => 'original',
      'preset' => 'grid-5',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_5'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_5'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_5'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_5'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'unlinked_grid-5',
    );

  }
  if ($styles['file']['styles']['ns_styles_grid_8']['storage'] == STYLES_STORAGE_DEFAULT) {
    $presets['file']['containers']['image']['styles']['ns_styles_grid_8'] = array(
      'default preset' => 'original',
      'preset' => 'grid-8',
    );

    $presets['file']['containers']['audio']['styles']['ns_styles_grid_8'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['video']['styles']['ns_styles_grid_8'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['default']['styles']['ns_styles_grid_8'] = array(
      'default preset' => 'original',
    );

    $presets['file']['containers']['media_youtube']['styles']['ns_styles_grid_8'] = array(
      'default preset' => 'unlinked_thumbnail',
      'preset' => 'unlinked_grid-8',
    );

  }
}
